function y=chol(x)
%y=chol(x)
%x - input matrix (should be symmetric, lower part is ignored)
%y - Cholesky decomposition of x

%       S.Halevy 7/31/92
%       Copyright (c) 1992 by the MathWizards

z = triu(x)+triu(x,1).';
y = _chol(z);   % returns the chol factorization and the permutation index
y = triu(y).';
